import { Documentation } from './Documentation';
export interface ParseOptions {
    filePath: string;
    lang?: 'ts' | 'js';
    nameFilter?: string[];
    aliases?: {
        [alias: string]: string;
    };
}
/**
 * parses the source and returns the doc
 * @param {string} source code whose documentation is parsed
 * @param {string} filePath path of the current file against whom to resolve the mixins
 * @returns {object} documentation object
 */
export declare function parseFile(documentation: Documentation, opt: ParseOptions): void;
/**
 * parses the source and returns the doc
 * @param {string} source code whose documentation is parsed
 * @param {string} filePath path of the current file against whom to resolve the mixins
 * @returns {object} documentation object
 */
export declare function parseSource(documentation: Documentation, source: string, opt: ParseOptions): void;
